Package com.ads.api.beans.sm

# Enum Class SMTable.SMTableType

java.lang.Object
java.lang.Enum<SMTable.SMTableType>
com.ads.api.beans.sm.SMTable.SMTableType

All Implemented Interfaces:
  `Serializable`, `Comparable<SMTable.SMTableType>`, `Constable`

Enclosing class:
  SMTable

public static enum SMTable.SMTableType extends Enum<SMTable.SMTableType>
The constants of this enumerated type provides a simple classification of the declared elements. These are used to specify the TableType such as Table, View, Synonym or Component.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMPONENT`
  Component is name given to ETL program unit.
  `SYNONYM`
  SYNONYM specifies the table which is created is of a SYNONYM type.
  `TABLE`
  TABLE specifies the table which is created is of a TABLE type.
  `VIEW`
  VIEW specifies the table which is created is of a VIEW type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SMTable.SMTableType`
  `getSMTableType(String value)`
  `static SMTable.SMTableType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SMTable.SMTableType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TABLE

    public static final SMTable.SMTableType TABLE
    TABLE specifies the table which is created is of a TABLE type.

  - ### VIEW

    public static final SMTable.SMTableType VIEW
    VIEW specifies the table which is created is of a VIEW type.
    VIEW is a stored query which provides only the read only access.

  - ### SYNONYM

    public static final SMTable.SMTableType SYNONYM
    SYNONYM specifies the table which is created is of a SYNONYM type.
    SYNONYM is the another name for an existing object which is used to access other schema without referencing the schema.

  - ### COMPONENT

    public static final SMTable.SMTableType COMPONENT
    Component is name given to ETL program unit.
    Component is an Independent entity which can represent as a Source, Transformation, Lookup, Staging , Destination Entity

- ## Method Details

  - ### values

    public static SMTable.SMTableType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SMTable.SMTableType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getSMTableType

    public static SMTable.SMTableType getSMTableType(String value)